import { CategoryAxisBaseDescription } from "./CategoryAxisBaseDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class TimeAxisBaseDescription extends CategoryAxisBaseDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private d3;
    get dateTimeMemberPath(): string;
    set dateTimeMemberPath(a: string);
    private dr;
    get isDataPreSorted(): boolean;
    set isDataPreSorted(a: boolean);
    private du;
    get actualMinimumValue(): Date;
    set actualMinimumValue(a: Date);
    private dt;
    get actualMaximumValue(): Date;
    set actualMaximumValue(a: Date);
    private dw;
    get minimumValue(): Date;
    set minimumValue(a: Date);
    private dv;
    get maximumValue(): Date;
    set maximumValue(a: Date);
    private d2;
    get actualMinimumValueChangeRef(): string;
    set actualMinimumValueChangeRef(a: string);
    private d1;
    get actualMaximumValueChangeRef(): string;
    set actualMaximumValueChangeRef(a: string);
}
